| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Attributes | List of all members
Ogre::OctreeSceneManagerFactory Class Reference
Plugins » OctreeSceneManager

Factory for OctreeSceneManager. More...

`#include <OgreOctreeSceneManager.h>`

Inheritance diagram for Ogre::OctreeSceneManagerFactory:
[legend]

## Public Member Functions
| OctreeSceneManagerFactory ()
| ~OctreeSceneManagerFactory ()
SceneManager * | createInstance (const String &instanceName)
| Create a new instance of a SceneManager. More...
void | destroyInstance (SceneManager *instance)
| Destroy an instance of a SceneManager. More...
virtual const SceneManagerMetaData & | getMetaData (void) const
| Get information about the SceneManager type created by this factory. More...

## Static Public Attributes
static const String | FACTORY_TYPE_NAME
| Factory type name. More...

## Detailed Description

Factory for OctreeSceneManager.

## Constructor & Destructor Documentation

## ◆ OctreeSceneManagerFactory()

Ogre::OctreeSceneManagerFactory::OctreeSceneManagerFactory | ( |  | ) |
| inline

## ◆ ~OctreeSceneManagerFactory()

Ogre::OctreeSceneManagerFactory::~OctreeSceneManagerFactory | ( |  | ) |
| inline

## Member Function Documentation

## ◆ createInstance()

SceneManager* Ogre::OctreeSceneManagerFactory::createInstance | ( | const String & | instanceName | ) |
| virtual

Create a new instance of a SceneManager.

Remarks
  Don't call directly, use SceneManagerEnumerator::createSceneManager.

Implements Ogre::SceneManagerFactory.

## ◆ destroyInstance()

void Ogre::OctreeSceneManagerFactory::destroyInstance | ( | SceneManager * | instance | ) |
| virtual

Destroy an instance of a SceneManager.

Implements Ogre::SceneManagerFactory.

## ◆ getMetaData()

virtual const SceneManagerMetaData& Ogre::SceneManagerFactory::getMetaData | ( | void |  | ) | const
| inline virtual inherited

Get information about the SceneManager type created by this factory.

## Member Data Documentation

## ◆ FACTORY_TYPE_NAME

const String Ogre::OctreeSceneManagerFactory::FACTORY_TYPE_NAME
| static

Factory type name.

The documentation for this class was generated from the following file:

- OgreOctreeSceneManager.h